Subject: Re: PCC440GX custom board configuration

From: Eugene Surovegin <[email-masked]>
Date: Thu, 30 Jun 2005 10:54:00 -0700

On Thu, Jun 30, 2005 at 01:26:52PM +0200, David Grab wrote:
> Hello,
> 
> i have a custom PPC 440 GX board which should run linux 2.6.11.6 kernel. I
> initialized the board with u-boot getting boot console on UART1 to start the
> kernel with bootm command.
> 
> Hardware details:
> PPC 440 GX CPU
> 2 * 256 MB RAM
> 2 * 8 MB Flash
> EM Marvin RTC V3020 (seems not supported by linux?)
> 
> Now i want to configure Linux to match my custom board. I ported my board
> based on ocotea board configuration files and excluded all the stuff i don?t
> need. My kernel seems to load but get stuck on calibrating delay loop and
> loops between update_proces_times and __delay (at address 0xC0003400) until
> it reboots. Seems like i didn?t match the BogoMips calculation. Actually i
> don?t use the RTC (i comment out all TODC functions). I think this cause the
> problem. So what i have to do to boot without RTC or has someone my RTC
> running with linux?

Most likely, you have incorrectly setup serial console, so you don't 
see any messages. Then some other error happens and kernel panics, 
it'll wait for 3min and then reboots. Try accessing printk buffer 
through BDI or other hw debugger.

Also, RTC isn't required for Linux ti run.

-- 
Eugene